Delete event
curl --request POST \
--url https://api.livechatinc.com/v3.7/customer/action/delete_event \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chat_id": "PJ0MRSHTDG",
"thread_id": "K600PKZON8",
"event_id": "K600PKZON8_4"
}
'import requests
url = "https://api.livechatinc.com/v3.7/customer/action/delete_event"
payload = {
"chat_id": "PJ0MRSHTDG",
"thread_id": "K600PKZON8",
"event_id": "K600PKZON8_4"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({chat_id: 'PJ0MRSHTDG', thread_id: 'K600PKZON8', event_id: 'K600PKZON8_4'})
};
fetch('https://api.livechatinc.com/v3.7/customer/action/delete_event', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Events
Delete event
Deletes an event object. Deleted events are hidden from all Customer Chat API responses but remain visible via the Agent Chat API.
In the Agent Chat API, the Delete Event method replaces the original event with a Deleted Event for agents with the normal role. Agents with higher roles (administrator, viceowner, and owner) see the original event with a deleted flag.
POST
/
action
/
delete_event
Delete event
Authorizations
Customer access token obtained from the customer authorization flow.
Query Parameters
Unique identifier of the organization.
Body
application/json
Response
200
Event deleted.
Was this page helpful?
⌘I